# IRsLangObject Struct Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | GetAllowedDataTypes ([out] BSTR *pbsInTypes,[out] BSTR *pbsOutTypes)
HRESULT | GetDisabledUIFields ([out, retval] RtDWORD *pVal)
HRESULT | PerformSyntaxCheck ([in] IRdScriptObject *spDO,[out] BSTR *pErrText,[out] ULONG *nLine,[out] LONG *nChar)
HRESULT | GetFileExtension ([out, retval] BSTR *pVal)
HRESULT | GenerateScriptSkeleton ([in]IRdScriptObject *spDO,[in] RtBool bAdvancedHandlers,[out, retval] BSTR *pbsOutText)
HRESULT | GetCaseSensitive ([out, retval] RtBool *pVal)
HRESULT | GetStringQuotes ([out, retval] BSTR *pVal)
HRESULT | GetComments ([out, retval] BSTR *pVal)
HRESULT | GetKeywords ([out, retval] BSTR *pVal)
HRESULT | GetConstants ([out, retval] BSTR *pVal)
HRESULT | GetScriptDispatch ([in] BSTR bsObj,[out, retval] IDispatch **ppScriptDisp)

## Detailed Description

Implement this interface to define script language definition object.
It comtains info needed by SE to edit script in given language conveniently.
(defines syntax highlight, syntax check, allowed data types etc).

## Member Function Documentation

HRESULT IRsLangObject::GetAllowedDataTypes | ( | [out] BSTR * | pbsInTypes,
|  | [out] BSTR * | pbsOutTypes |
| ) |  |  |

Get allowed data types (in string form).

Parameters:

  | pbsInTypes | [out] Specifies data types list (separated by spaces, each data type encapsulated with '' when containing spaces).
  | pbsOutTypes | [out] .

HRESULT IRsLangObject::GetDisabledUIFields | ( | [out, retval] RtDWORD * | pVal | ) |

Get disabled UI fileds for script properties view in SE.

Returns:
  pVal [out, retval] Specifies disabled fields (as combination of bit flags).

HRESULT IRsLangObject::PerformSyntaxCheck | ( | [in] IRdScriptObject * | spDO,
|  | [out] BSTR * | pErrText,
|  | [out] ULONG * | nLine,
|  | [out] LONG * | nChar |
| ) |  |  |

Perform syntax check.

Parameters:

  | spDO | [in] .
  | pErrText | [out] .
  | nLine | [out] .
  | nChar | [out] .

HRESULT IRsLangObject::GetFileExtension | ( | [out, retval] BSTR * | pVal | ) |

Get default file extension for exported files.

Returns:
  pVal [out, retval] Specifies file extension (e.g. 'js').

HRESULT IRsLangObject::GenerateScriptSkeleton | ( | [in] IRdScriptObject * | spDO,
|  | [in] RtBool | bAdvancedHandlers,
|  | [out, retval] BSTR * | pbsOutText |
| ) |  |  |

Generate Script Skeleton using given language, script type, parameters and other props as well.

Parameters:

  | spDO | [in] Specifies input script data object (containing script text and props).
  | bAdvancedHandlers | [in] If false (default) only basic handlers (methods) are generated. If true, only advanced (rarely used) handlers are generated (e.g. OnInvalidate for script nodes).

Returns:
  pbsOutText [out, retval] Specifies output generated script.

HRESULT IRsLangObject::GetCaseSensitive | ( | [out, retval] RtBool * | pVal | ) |

Get case sensitive flag for syntax highlight.

Returns:
  pVal [out, retval] Specifies case sensitive flag.

HRESULT IRsLangObject::GetStringQuotes | ( | [out, retval] BSTR * | pVal | ) |

Get string quotes chars for syntax highlight.

Returns:
  pVal [out, retval] Specifies string quotes.

HRESULT IRsLangObject::GetComments | ( | [out, retval] BSTR * | pVal | ) |

Get comment marks for syntax highlight.

Returns:
  pVal [out, retval] Specifies comment marks (e.g. '//' for jScript).

HRESULT IRsLangObject::GetKeywords | ( | [out, retval] BSTR * | pVal | ) |

Get keywords for syntax highlight.

Returns:
  pVal [out, retval] Specifies keywords (separated by spaces).

HRESULT IRsLangObject::GetConstants | ( | [out, retval] BSTR * | pVal | ) |

Get constants for syntax highlight.

Returns:
  pVal [out, retval] Specifies constants (separated by spaces).

HRESULT IRsLangObject::GetScriptDispatch | ( | [in] BSTR | bsObj,
|  | [out, retval] IDispatch ** | ppScriptDisp |
| ) |  |  |

Get script dispatch for given object (usefull e.g. for code completion feature in editor).

Parameters:

  | bsObj | [in] Object name (e.g. library in jScript).

Returns:
  ppScriptDisp [out, retval] Returns dispatch.